Intel® Distribution of OpenVINO™ Toolkit
Community support and discussions about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all things computer vision-related on Intel® platforms.
5924 Discussions

Error while installing openvino using apt repository

sahinoor
Beginner
595 Views

Hi,

 

Hope you are doing well.

 

I was trying to install intel openvino toolkit for linux using apt respository. but when i run the following command :

 

sudo apt install intel-openvino-runtime-ubuntu20-2021.4.689

 

i receive the below error :

Depends: intel-openvino-gstreamer-rt-ubuntu-focal-2021.4.689 (= 2021.4-689) but it is not going to be installed
Depends: intel-openvino-gva-rt-ubuntu-focal-2021.4.689 (= 2021.4-689) but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

 

can someone help me with this?

 

Please find attached the screenshot.

0 Kudos
2 Replies
Peh_Intel
Moderator
561 Views

Hi sahinoor,


Thanks for reaching out to us.


For your information, I’ve validated that the package intel-openvino-runtime-ubuntu20-2021.4.689 is working fine while the package intel-openvino-runtime-ubuntu20-2021.4.582 is broken.


You’re getting Unmet dependencies issues because you installed the broken package intel-openvino-runtime-ubuntu20-2021.4.582 previously.


Uninstall the previous package intel-openvino-runtime-ubuntu20-2021.4.582 and install the package intel-openvino-runtime-ubuntu20-2021.4.689 again:


  1. sudo apt autoremove intel-openvino-runtime-ubuntu20-2021.4.582
  2. sudo apt install intel-openvino-runtime-ubuntu20-2021.4.689




Regards,

Peh


Peh_Intel
Moderator
521 Views

Hi sahinoor,


This thread will no longer be monitored since we have provided a solution. If you need any additional information from Intel, please submit a new question. 



Regards,

Peh


Reply